<?php

/**
 * @file
 * Contains a YamlParser
 *
 * @license GPL v2 http://www.fsf.org/licensing/licenses/gpl.html
 * @author Chris Skene chris at previousnext dot com dot au
 * @copyright Copyright(c) 2014 Christopher Skene and PreviousNext
 */

namespace Drupal\fabricator\Parser;

use Drupal\fabricator\Component\Component;
use Drupal\fabricator\Exception\FabricatorException;
use Symfony\Component\Yaml\Yaml;

/**
 * Class YamlParser
 * @package Drupal\fabricator\Parser
 */
class YamlParser extends ParserBase implements ParserInterface {

  /**
   * {@inheritdoc}
   */
  public function getContent(Component $component) {

    if (!isset($component->settings['path'])) {
      throw new FabricatorException('No path provided for blueprint file.');
    }

    $path = DRUPAL_ROOT . '/' . $component->settings['path'];

    if (!file_exists($path)) {
      watchdog('Fabricator', 'Invalid file supplied to parser.');
      return array();
    }

    $yaml = Yaml::parse($path);

    return array('export' => $yaml);
  }

}
